summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-crypt/heimdal/files')
-rw-r--r--app-crypt/heimdal/files/heimdal-kadmind.initd30
-rw-r--r--app-crypt/heimdal/files/heimdal-kcm.initd25
-rw-r--r--app-crypt/heimdal/files/heimdal-kdc.initd29
-rw-r--r--app-crypt/heimdal/files/heimdal-kpasswdd.initd29
-rw-r--r--app-crypt/heimdal/files/krb5.conf27
5 files changed, 140 insertions, 0 deletions
diff --git a/app-crypt/heimdal/files/heimdal-kadmind.initd b/app-crypt/heimdal/files/heimdal-kadmind.initd
new file mode 100644
index 000000000000..da90485873bf
--- /dev/null
+++ b/app-crypt/heimdal/files/heimdal-kadmind.initd
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/heimdal/files/heimdal-kadmind.initd,v 1.1 2010/05/09 03:50:52 darkside Exp $
+
+depend() {
+ need net
+ use heimdal-kdc
+ after logger
+}
+
+start() {
+ ebegin "Starting Heimdal kadmind"
+ /usr/sbin/kadmind &
+ echo $! > /var/run/heimdal-kadmind.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Heimdal kadmind"
+ start-stop-daemon --stop --quiet --exec \
+ /usr/sbin/kadmind
+ eend $?
+}
+
+restart() {
+ svc_stop
+ svc_start
+}
+
diff --git a/app-crypt/heimdal/files/heimdal-kcm.initd b/app-crypt/heimdal/files/heimdal-kcm.initd
new file mode 100644
index 000000000000..9e46d03e4745
--- /dev/null
+++ b/app-crypt/heimdal/files/heimdal-kcm.initd
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/heimdal/files/heimdal-kcm.initd,v 1.1 2010/05/09 03:50:52 darkside Exp $
+
+depend() {
+ after heimdal-kdc
+}
+
+start() {
+ ebegin "Starting Heimdal KCM..."
+ start-stop-daemon --start --pidfile /var/run/kcm.pid --exec /usr/sbin/kcm -- --detach
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Heimdal KCM..."
+ start-stop-daemon --stop --pidfile /var/run/kcm.pid
+ eend $?
+}
+
+restart() {
+ svc_stop
+ svc_start
+}
diff --git a/app-crypt/heimdal/files/heimdal-kdc.initd b/app-crypt/heimdal/files/heimdal-kdc.initd
new file mode 100644
index 000000000000..c56f9c5fb697
--- /dev/null
+++ b/app-crypt/heimdal/files/heimdal-kdc.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/heimdal/files/heimdal-kdc.initd,v 1.1 2010/05/09 03:50:52 darkside Exp $
+
+depend() {
+ need net
+ after logger
+}
+
+start() {
+ ebegin "Starting Heimdal kdc"
+ start-stop-daemon --start --quiet --exec \
+ /usr/sbin/kdc -- --detach
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Heimdal kdc"
+ start-stop-daemon --stop --quiet --exec \
+ /usr/sbin/kdc
+ eend $?
+}
+
+restart() {
+ svc_stop
+ svc_start
+}
+
diff --git a/app-crypt/heimdal/files/heimdal-kpasswdd.initd b/app-crypt/heimdal/files/heimdal-kpasswdd.initd
new file mode 100644
index 000000000000..905522d0eba6
--- /dev/null
+++ b/app-crypt/heimdal/files/heimdal-kpasswdd.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/heimdal/files/heimdal-kpasswdd.initd,v 1.1 2010/05/09 03:50:52 darkside Exp $
+
+depend() {
+ need net
+ use heimdal-kdc
+ after logger
+}
+
+start() {
+ ebegin "Starting Heimdal kpasswdd"
+ start-stop-daemon --background --start --quiet --exec \
+ /usr/sbin/kpasswdd
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Heimdal kpasswdd"
+ start-stop-daemon --stop --quiet --exec \
+ /usr/sbin/kpasswdd
+ eend $?
+}
+
+restart() {
+ svc_stop
+ svc_start
+}
diff --git a/app-crypt/heimdal/files/krb5.conf b/app-crypt/heimdal/files/krb5.conf
new file mode 100644
index 000000000000..906eb4d087d0
--- /dev/null
+++ b/app-crypt/heimdal/files/krb5.conf
@@ -0,0 +1,27 @@
+[libdefaults]
+ default_realm = MY.REALM
+# clockskew = 300
+# v4_instance_resolve = false
+# v4_name_convert = {
+# host = {
+# rcmd = host
+# ftp = ftp
+# }
+# plain = {
+# something = something-else
+# }
+# }
+
+[realms]
+ MY.REALM = {
+ kdc = MY.COMPUTER
+ }
+# OTHER.REALM = {
+# v4_instance_convert = {
+# kerberos = kerberos
+# computer = computer.some.other.domain
+# }
+# }
+
+[domain_realm]
+ .my.domain = MY.REALM